(defun start-telnet (&optional (port 4000))
	(let ((passive (socket:make-socket :connect :passive
					   :local-port port
					   :reuse-address t)))
	  (mp:process-run-function
	   "telnet-listener"
	   #'(lambda (pass)
	       (let ((count 0))
		 (loop
		  (let ((con (socket:accept-connection pass)))
		    (mp:process-run-function
		     (format nil "tel~d" (incf count))
		     #'(lambda (con)
			 (unwind-protect
			     (tpl::start-interactive-top-level
			      con
			      #'tpl::top-level-read-eval-print-loop
			      nil)
			   (ignore-errors (close con :abort t))))
		     con)))))
	   passive)))
 
(load "fug53.l")
(use-package :fug5)
(in-package :fug5)

(load "gr.l")

(in-package :user)
(start-telnet)
