/*
 * @(#)FDNullH.java alpha0.1
 *
 * Copyright 2002 Columbia University, All Rights Reserved.
 *
 * This software is distributed under the LGPL.
 *
 */

package edu.columbia.surge.hashImpl;
import edu.columbia.surge.*;

/**
 * This class is inherrited from the FDH class and implements the
 * FDNull interface.  User creates instances of this class whenever
 * they want to specify a hole in a FD, so that the unifier later will
 * be able to deal with the hole correctly.
 *
 * @author Howard Chu (hhc42@columbia.edu)
 * @version alpha 0.1
 *
 * @see FDH
 * @see FDNull
 */

public class FDNullH extends FDH implements FDNull {

    /**
     * Constructor
     */
    public FDNullH() {
    }
}
