/*
 * @(#)FDNull.java alpha0.1
 *
 * Copyright 2002 Columbia University, All Rights Reserved.
 *
 * This software is distributed under the LGPL.
 *
 */

package edu.columbia.surge;

/**
 * This class is used when user wants to specify a hole in a FD. If a user
 * wants to specify a hole without needing to specify any properties for the
 * hole, they should put a FDNull object to be that value. If a user wants to
 * specify properties for a hole. They should create a regular FD object with the
 * desired entries and then create a FDRef object that points to the hole.
 *
 * @author Howard Chu (hhc42@columbia.edu)
 * @version alpha 0.1
 *
 * @see FDNullFactory
 * @see FD
 * @see FDRef
 */

public interface FDNull extends FD {
}
